package quick;

import quick.action.a_dd;
import quick.action.a_nop;
import quick.action.a_redirect;
import quick.action.a_stop;

public class ViewActionFactories {
    public Action redirect(Class<? extends View> target) {
        return new a_redirect(target);
    }

    public Action redirect(View target) {
        return new a_redirect(target);
    }

    public Action stop() {
        return new a_stop();
    }

    public Action nop() {
        return new a_nop();
    }

    public Action dd(Object... data) {
        return new a_dd(data);
    }
}
